DO $$
	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=3098) THEN
			RETURN;
	END IF;

	BEGIN

		ALTER TABLE public."EventDetails" ADD "Timestamp" timestamp without time zone DEFAULT timezone('utc', now())  NOT NULL;
		UPDATE public."EventDetails" SET "Timestamp"="LastModificationDate";

		EXCEPTION
			WHEN OTHERS THEN RAISE NOTICE 'Alter EventDetails error.';
		END;
	END;
$$